# HG changeset patch
# Node ID 4fd9395c2677
# Parent  fd21a594fd75
diff --git a/pidgin/gtkdialogs.c b/pidgin/gtkdialogs.c
--- a/pidgin/gtkdialogs.c
+++ b/pidgin/gtkdialogs.c
@@ -40,7 +40,6 @@
 #include "gtkdialogs.h"
 #include "gtkutils.h"
 #include "pidgincore.h"
-#include "pidgindialog.h"
 
 struct _PidginGroupMergeObject {
 	PurpleGroup* parent;
diff --git a/pidgin/gtkrequest.c b/pidgin/gtkrequest.c
--- a/pidgin/gtkrequest.c
+++ b/pidgin/gtkrequest.c
@@ -31,7 +31,6 @@
 #include "pidginaccountchooser.h"
 #include "pidginaccountfilterconnected.h"
 #include "pidgincore.h"
-#include "pidgindialog.h"
 
 #include <gdk/gdkkeysyms.h>
 
@@ -1956,7 +1955,13 @@ pidgin_request_fields(const char *title,
 	data->cbs[0] = ok_cb;
 	data->cbs[1] = cancel_cb;
 
-	data->dialog = win = pidgin_dialog_new(title, 12, "multifield", TRUE) ;
+	data->dialog = win = gtk_dialog_new();
+	if(title != NULL) {
+		gtk_window_set_title(GTK_WINDOW(win), title);
+	} else {
+		gtk_window_set_title(GTK_WINDOW(win), PIDGIN_ALERT_TITLE);
+	}
+	gtk_window_set_resizable(GTK_WINDOW(win), TRUE);
 
 	g_signal_connect(G_OBJECT(win), "close-request",
 					 G_CALLBACK(destroy_multifield_cb), data);
diff --git a/pidgin/meson.build b/pidgin/meson.build
--- a/pidgin/meson.build
+++ b/pidgin/meson.build
@@ -37,7 +37,6 @@ libpidgin_SOURCES = [
 	'pidgincommands.c',
 	'pidgincontactlistwindow.c',
 	'pidgindebug.c',
-	'pidgindialog.c',
 	'pidgindisplaywindow.c',
 	'pidginiconname.c',
 	'pidgininfopane.c',
@@ -103,7 +102,6 @@ libpidgin_headers = [
 	'pidgincolor.h',
 	'pidgincontactlistwindow.h',
 	'pidgincore.h',
-	'pidgindialog.h',
 	'pidgindisplaywindow.h',
 	'pidgindebug.h',
 	'pidginiconname.h',
diff --git a/pidgin/pidgindialog.h b/pidgin/pidgindialog.h
deleted file mode 100644
--- a/pidgin/pidgindialog.h
+++ /dev/null
@@ -1,64 +0,0 @@
-/*
- * pidgin
- *
- * Pidgin is the legal property of its developers, whose names are too numerous
- * to list here.  Please refer to the COPYRIGHT file distributed with this
- * source distribution.
- *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation; either version 2 of the License, or
- * (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, see <https://www.gnu.org/licenses/>.
- */
-
-#if !defined(PIDGIN_GLOBAL_HEADER_INSIDE) && !defined(PIDGIN_COMPILATION)
-# error "only <pidgin.h> may be included directly"
-#endif
-
-#ifndef PIDGIN_DIALOG_H
-#define PIDGIN_DIALOG_H
-
-#include <glib.h>
-
-#include <gtk/gtk.h>
-
-G_BEGIN_DECLS
-
-/**
- * PidginDialog:
- *
- * #PidginDialog is a transitional widget as we slowly migrate everything to
- * glade.
- */
-
-#define PIDGIN_TYPE_DIALOG (pidgin_dialog_get_type())
-G_DECLARE_FINAL_TYPE(PidginDialog, pidgin_dialog, PIDGIN,
-                     DIALOG, GtkDialog)
-
-/**
- * pidgin_dialog_new:
- * @title: The dialog title, or %NULL.
- * @border_width: The dialog's desired border width.
- * @role: A string indicating what the dialog is responsible for doing, or
- *        %NULL.
- * @resizable: Whether the dialog should be resizable.
- *
- * Creates a new #PidginDialog instance.
- *
- * Returns: (transfer full): The new #PidginDialog instance.
- *
- * Since: 3.0.0
- */
-GtkWidget *pidgin_dialog_new(const gchar *title, guint border_width, const gchar *role, gboolean resizable);
-
-G_END_DECLS
-
-#endif /* PIDGIN_DIALOG_H */
diff --git a/pidgin/pidgindialog.c b/pidgin/pidgindialog.c
deleted file mode 100644
--- a/pidgin/pidgindialog.c
+++ /dev/null
@@ -1,61 +0,0 @@
-/*
- * pidgin
- *
- * Pidgin is the legal property of its developers, whose names are too numerous
- * to list here.  Please refer to the COPYRIGHT file distributed with this
- * source distribution.
- *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation; either version 2 of the License, or
- * (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, see <https://www.gnu.org/licenses/>.
- */
-
-#include <glib/gi18n-lib.h>
-
-#include "pidgindialog.h"
-
-#include "pidgincore.h"
-
-struct _PidginDialog {
-	GtkDialog parent;
-};
-
-/******************************************************************************
- * GObject Implementation
- *****************************************************************************/
-G_DEFINE_TYPE(PidginDialog, pidgin_dialog, GTK_TYPE_DIALOG)
-
-static void
-pidgin_dialog_init(PidginDialog *button) {
-}
-
-static void
-pidgin_dialog_class_init(PidginDialogClass *klass) {
-}
-
-/******************************************************************************
- * Public API
- *****************************************************************************/
-GtkWidget *
-pidgin_dialog_new(const gchar *title, guint border_width, const gchar *role,
-                  gboolean resizable)
-{
-	if(title == NULL) {
-		title = PIDGIN_ALERT_TITLE;
-	}
-
-	return GTK_WIDGET(g_object_new(
-		PIDGIN_TYPE_DIALOG,
-		"title", title,
-		"resizable", resizable,
-		NULL));
-}
diff --git a/po/POTFILES.in b/po/POTFILES.in
--- a/po/POTFILES.in
+++ b/po/POTFILES.in
@@ -277,7 +277,6 @@ pidgin/pidgincolor.c
 pidgin/pidgincommands.c
 pidgin/pidgincontactlistwindow.c
 pidgin/pidgindebug.c
-pidgin/pidgindialog.c
 pidgin/pidgindisplaywindow.c
 pidgin/pidginiconname.c
 pidgin/pidgininfopane.c
